Subject: Re: Unit_Sw_Version

From: "Hattig, Myron" <[email-masked]>
Date: Mon, 8 Feb 1999 12:33:57 -0800

Joseph,

> Note that the ip1394 working group's decision to use the RFC
> number for
> unit_sw_version does NOT *guarantee* that the combination (spec_id,
> unit_sw_version) is unique. It is theoretically possible (but
> unlikely) that
> some other group unrelated to ip/1394 can come up with the
> same value for
> unit_sw_version that we have picked for ip/1394. This is a
> bit troubling to
> me, but in the interest of getting closure on the ip/1394
> spec, I can live
> with using RFC for unit_sw_version.

Others have expressed this also. The solution is to have IANA
create a new category of numbers, then allocate a number to us
that identifies our RFC. This number allocated by the IANA
and the RFC number may not be equal.

IMHO, I doubt there will be enough demand for such numbers
to warrant the IANA creating a new category of numbers.
I'll look into having IANA create a new category of numbers
to justify or rebuke my opinion.

-myron